package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiMbtiRules;

/**
 * MBTI测评规则Service接口
 * 
 * @author mingxue
 * @date 2021-08-15
 */
public interface IBBusiMbtiRulesService {
    /**
     * 查询MBTI测评规则
     * 
     * @param id MBTI测评规则ID
     * @return MBTI测评规则
     */
    public BBusiMbtiRules selectBBusiMbtiRulesById(Long id);

    /**
     * 查询MBTI测评规则列表
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return MBTI测评规则集合
     */
    public List<BBusiMbtiRules> selectBBusiMbtiRulesList(BBusiMbtiRules bBusiMbtiRules);

    /**
     * 新增MBTI测评规则
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return 结果
     */
    public int insertBBusiMbtiRules(BBusiMbtiRules bBusiMbtiRules);

    /**
     * 修改MBTI测评规则
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return 结果
     */
    public int updateBBusiMbtiRules(BBusiMbtiRules bBusiMbtiRules);

    /**
     * 批量删除MBTI测评规则
     * 
     * @param ids 需要删除的MBTI测评规则ID
     * @return 结果
     */
    public int deleteBBusiMbtiRulesByIds(Long[] ids);

    /**
     * 删除MBTI测评规则信息
     * 
     * @param id MBTI测评规则ID
     * @return 结果
     */
    public int deleteBBusiMbtiRulesById(Long id);
}
